public static interface HttpEndpointBuilderFactory.HttpBuilders
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
http(String path)
HTTP (camel-http)
Send requests to external HTTP servers using Apache HTTP Client 4.x.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
http(String componentName,
String path)
HTTP (camel-http)
Send requests to external HTTP servers using Apache HTTP Client 4.x.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
https(String path)
HTTPS (Secure) (camel-http)
Send requests to external HTTP servers using Apache HTTP Client 4.x.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder http(String path)
http://httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.path - //httpUridefault HttpEndpointBuilderFactory.HttpEndpointBuilder http(String componentName, String path)
http://httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.componentName - to use a custom component name for the endpoint
instead of the default namepath - //httpUridefault HttpEndpointBuilderFactory.HttpEndpointBuilder https(String path)
https://httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.path - //httpUriApache Camel